mixin person-card(options)
  .person-card
    img.person-card--photo(src='/assets/images/photos/' + options.photo)
    .person-card--identity
      .person-card--name #{options.name}
      .person-card--title #{options.title}
      if options.quote
        .person-card--quote «&nbsp;#{options.quote}&nbsp;»
      .person-card--contact
        if options.email
          .person-card--email
            i.icon-mail-alt
            p #{options.email}
        if options.phone
          .person-card--phone
            i.icon-phone
            p #{options.phone}
        if options.linkedin
          a.person-card--linkedin(href = options.linkedin, target = '_blank')
            i.icon-linkedin

mixin pascaline-card
  +person-card({
    photo: 'pascaline.jpg',
    name: 'Pascaline',
    quote: 'Née pour être libre',
    title: 'Fondatrice & Présidente',
    linkedin: 'https://www.linkedin.com/in/pascaline-larose-a91a5a2a/',
    email: 'pascaline.larose@ideme.fr',
    phone: '06 03 56 51 78'
  })

mixin albane-card
  +person-card({
    photo: 'albane.jpg',
    name: 'Albane',
    title: 'Coach professionnel',
    linkedin: 'https://www.linkedin.com/in/albane-fagot-veyron/'
  })

mixin adeline-card
  +person-card({
    photo: 'adeline.jpg',
    name: 'Adeline',
    title: 'Développeuse',
  })

mixin colin-card
  +person-card({
    photo: 'colin.jpg',
    name: 'Colin',
    quote: 'I Solve Problems',
    title: 'Développeur',
    linkedin: 'https://www.linkedin.com/in/colin-damon/',
    email: 'colin.damon@ideme.fr',
  })
